ALTQD(8)

NAME
altqd - ALTQ daemon

SYNOPSIS
altqd [-dv] [-f conf_file]

DESCRIPTION
altqd is a daemon program that reads a configuration file and then sets up the ALTQ state of network interfaces. After configuring the ALTQ state, altqd will detach and become a daemon.

The signals SIGINT or SIGTERM will shutdown altqd, and the signal SIGHUP will restart altqd.

The following options are available:

-d  Debug mode. altqd does not detach and goes into the command mode.

-f conf_file
    Specify a configuration file to read instead of the default. The default file is /etc/altq.conf.

-v  Print debugging information. This option implies -d.

COMMANDS
When -d option is provided, altqd goes into the command mode after reading the configuration file and setting up the ALTQ state. Each command is a single line, starting with the command verb.

The basic commands are as follows:

help |?
    Display a complete list of commands and their syntax.

quit
    Exit.

altq reload
    Reload the configuration file and reinitialize ALTQ.

altq interface [enable|disable]
    Enables or disables ALTQ on the interface named interface. When altqd enters the command mode, ALTQ is enabled on all the interfaces listed in the configuration file.

FILES
/etc/altq.conf
    configuration file
/var/run/altqd.pid
    pid of the running altqd
/var/run/altq_quip
    Unix domain socket for communicating with altqstat(1)

SEE ALSO
altqstat(1), altq.conf(5), altq(9)